# Matillion Integration Discovered Resources

## Overview

The Matillion integration discovers the following resources:

* Matillion Project
* Matillion Pipeline
* Database
* Database Schema
* Database Table

## Matillion Project

A single resource of type "matillion\_project" is observed when both project name and project ID are configured in the integration settings.

### Properties

| Property   | Value                                                                               |
| ---------- | ----------------------------------------------------------------------------------- |
| name       | The name of the Matillion project (from configuration)                              |
| type       | always `matillion_project`                                                          |
| subtype    | always `matillion_project`                                                          |
| native\_id | The Matillion project ID (from the configuration, if not set we won't observe this) |

### External Links

When Git repository information is configured, the project includes links to:

* Source repository for pipeline definitions

## Matillion Pipeline

Pipelines are discovered from `.tran.yaml` (transformation) and `.orch.yaml` (orchestration) files in the uploaded DPC artifacts.

### Properties

| Property   | Value                                                                     |
| ---------- | ------------------------------------------------------------------------- |
| name       | The filename without the `.yaml`, `.tran.yaml`, or `.orch.yaml` extension |
| type       | always `matillion_pipeline`                                               |
| subtype    | either `transformation` or `orchestration`                                |
| native\_id | Derived from the filename and file path                                   |

### Relationships

* **Parent**: If a Matillion project is configured, pipelines are children of the project
* **Defines**: Pipelines have "defines" relationships with their output tables

### External Links

Pipelines can include links to:

* **Git Source**: Direct links to the pipeline definition files in the source repository (when Git repository and branch are configured)
* **Matillion Designer**: Direct links to edit the pipeline in Matillion DPC when all required configuration is provided:
  * Project ID
  * Source Git branch
  * Default environment ID
  * Default agent ID

Example Designer URL format:

```
https://app.matillion.com/designer/project/{project_id}/branch/{branch}?environmentId={environment_id}&agentId={agent_id}
```

## Lineage and Dependencies

### Input vs Output Tables

For the Matillion integration, let's define:

* **Input Tables**: Discovered from components that read from tables
* **Output Tables**: Discovered from components that create or write to tables

The Matillion integration observes lineage between each output table and its input tables. The lineage is used only for materialized tables. For `views`, Euno will use the lineage analysis of the SQL definition of the view, if available.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.euno.ai/sources/transformation-etl/matillion/matillion-integration-discovered-resources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
